//*************************************************************
//  File name: MAINFRM.H
//
//  Description:
//     Declares the interface for the CMainFrame class
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
// Written by Microsoft Product Support Services, Windows Developer Support
// Copyright (c) 1994 Microsoft Corporation. All rights reserved.
//*************************************************************

//*************************************************************
//  Class:
//      CMainFrame 
//
//  Description:
//      AppWizard generated CMDIFrameWnd class that dynamically displays the
//      output from it's view as an icon.
//
//  Derived from:
//      CMDIFrameWnd
//
//  Data Members: 
//      CDC       m_dcXOR;        // a memory CDC for icon's XOR bitmap
//      CDC       m_dcAND;        // a memory CDC for icon's AND plane
//      HBRUSH    m_hbrNull;      // NULL brush for drawing bounding rect      
//
//  Member Functions:
//      CMainFrame        : Constructor
//     ~CMainFrame        : Destructor
//  
//    Implementation:
//      PreCreateWindow   : Registers a NULL icon
//
//    Message Handlers:
//      OnPaint           : Scales the output from the active view to icon
//                          size.
//      OnQueryDragIcon   : Converts current output to an icon
//      OnCreate          : Does some initialization
//      OnDestroy         : Does some cleanup
//      OnEraseBkgnd      : Prevents some unfortunate painting behavior
//
//  Comments
//      This class assumes a CView derived class that exposes a public
//      OnDraw override.
//      
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
//*************************************************************  

class CMainFrame : public CMDIFrameWnd
{
   DECLARE_DYNAMIC(CMainFrame)
public:
   CMainFrame();

// Attributes
public:

// Operations
public:

// Implementation
public:
   virtual ~CMainFrame();
   virtual BOOL PreCreateWindow (CREATESTRUCT &cs);
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif  

   CDC       m_dcXOR;
   CDC       m_dcAND;  
   HBRUSH    m_hbrNull;

// Generated message map functions
protected:
   //{{AFX_MSG(CMainFrame)
   afx_msg void OnPaint();
   afx_msg HCURSOR OnQueryDragIcon();
   afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
   afx_msg void OnDestroy();
   afx_msg BOOL OnEraseBkgnd(CDC* pDC);
   afx_msg void OnEnterIdle(UINT nWhy, CWnd* pWho);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
